Cyberduck Mountain Duck CLI

#3336 closed defect (duplicate)

Tries to unlock keychain on every upload

Reported by: Mly@… Owned by: dkocher
Priority: normal Milestone:
Component: core Version: 3.2.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

The password for one of my SFTP accounts is stored in a locked keychain. (In Keychain Access, it has "Lock after 1 minute of inactivity" selected.)

So I expect that the first time I connect to the site, I will be asked to unlock the Keychain so that Cyberduck can fetch the password.

However, my problem is that every time I upload a file, I'm presented with a dialog

Cyberduck wants to use your confidential information stored in "shell.sonic.net" in your keychain.  Do you want to allow access to this item?  Always Allow / Deny / Allow.

Not only that, but "Transfers" window of Cyberduck, I see that "Login successful" has already been reported.

  • First problem: Why am I being asked to re-fetch my password from the keychain?
  • Second problem: How can login be successful if the password hasn't been fetched?

I click "Allow". The upload proceeds. But next time I attempt the same operation, I the same thing happens.

What I would like to happen:

I'm asked for my keychain password once, Cyberduck fetches the SFTP password, and the password is internally maintained for as long as the session is open, and I am never prompted for the password again.

Version 3.2.1 build 4923 (though it's been this way for a long time through many versions.)

Attachments (1)

too-many-passwords.jpg (14.9 KB) - added by Mly@… on Jul 15, 2009 at 10:52:24 PM.
Screen shot of "successful login" before still seeking to "unlock keychain"

Download all attachments as: .zip

Change History (3)

Changed on Jul 15, 2009 at 10:52:24 PM by Mly@…

Screen shot of "successful login" before still seeking to "unlock keychain"

comment:1 Changed on Nov 14, 2009 at 12:15:18 AM by dkocher

  • Description modified (diff)
  • Summary changed from Cyberduck tries to unlock keychain on every upload to Tries to unlock keychain on every upload

comment:2 Changed on Jan 16, 2010 at 1:35:39 PM by dkocher

  • Resolution set to duplicate
  • Status changed from new to closed

This is a duplicate of #2878 and has been fixed in 3.3.1.

Note: See TracTickets for help on using tickets.
swiss made software